aboutsummaryrefslogtreecommitdiff
path: root/byobu/.byobu/bin
diff options
context:
space:
mode:
Diffstat (limited to 'byobu/.byobu/bin')
-rwxr-xr-xbyobu/.byobu/bin/15_load.sh17
-rwxr-xr-xbyobu/.byobu/bin/60_hddtemp.sh2
-rwxr-xr-xbyobu/.byobu/bin/60_mail.sh7
3 files changed, 26 insertions, 0 deletions
diff --git a/byobu/.byobu/bin/15_load.sh b/byobu/.byobu/bin/15_load.sh
new file mode 100755
index 0000000..1168d1a
--- /dev/null
+++ b/byobu/.byobu/bin/15_load.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -e
+
+BLACK="\033[00m"
+YELLOW="\033[1;33m"
+
+load=`cat /proc/loadavg | sed -e 's/ .*//'`
+[ -n "$load" ] || return
+
+if [ $(echo "$load < 0.5" | bc) = 1 ]
+then
+ return
+ printf "<0.5"
+else
+
+ printf "#[bg=#FFFF00]$load"
+ echo
+fi
diff --git a/byobu/.byobu/bin/60_hddtemp.sh b/byobu/.byobu/bin/60_hddtemp.sh
new file mode 100755
index 0000000..7cb46f5
--- /dev/null
+++ b/byobu/.byobu/bin/60_hddtemp.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+netcat 127.0.0.1 7634 | awk -F '|' '{ print $4" C"}'
diff --git a/byobu/.byobu/bin/60_mail.sh b/byobu/.byobu/bin/60_mail.sh
new file mode 100755
index 0000000..7ba67f2
--- /dev/null
+++ b/byobu/.byobu/bin/60_mail.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ $(find Maildir/cur/ -ctime -1 -type f -not \( -name '*:2,*S*' \) | wc -l) -ne 0 ]
+then
+ printf "#[bg=#FF0000]courriel"
+ echo
+fi